apiVersion: apps/v1
kind: Deployment
metadata:
  name: shiny-wordcloud
spec:
  replicas: 2
  selector:
    matchLabels:
      app: shiny-wordcloud
  template:
    metadata:
      labels:
        app: shiny-wordcloud
    spec:
      containers:
      - name: shiny-wordcloud
        image: flaviobarros/shiny-wordcloud
        ports:
        - containerPort: 80
---
apiVersion: v1
kind: Service
metadata:
  name: shiny-wordcloud
spec:
  ports:
  - port: 80
    targetPort: 80
    protocol: TCP
    name: http
  selector:
    app: shiny-wordcloud